#
#                                Working Directory
#_______________________________________________________________________________
setwd("C:\\Documents and Settings\\chroy203\\Bureau\\Graph_PLeinR")
#
#                               Load Library
#_______________________________________________________________________________
library(MASS)
library(lattice)
#
#                               Import DATA
#_______________________________________________________________________________
Moose<-read.table("C:\\Mes documents\\Doctorat\\PleinR\\MED\\alcesdata.txt",header=T)  
Boar<-read.table("C:\\Mes documents\\Doctorat\\PleinR\\AED\\data\\Rdata\\Boar.txt",header=T)
CL<-read.table("C:\\Mes documents\\Maitrise\\Revision_memoire\\crotin_cover.txt",header=TRUE)
#
#                               Expore DATA
#_______________________________________________________________________________
head(Moose)
tail(Moose)
str(Moose)
plot(Moose$density~Moose$year)
#
#                               Analyse DATA
#_______________________________________________________________________________
out2<-glm(Moose$density~Moose$year,family=poisson)
summary(out2)
year<-Moose$year
pred2<-exp((-1.285e+02+6.747e-02*Moose$year))
down2<- 0.0025 * exp((-1.285e+02 + 2.549e+00) + (6.747e-02 +  1.287e-03)* Moose$year)
up2<-down2*2 + pred2
#
#                               Expore DATA
#_______________________________________________________________________________
Boar2<-na.omit(Boar) 
head(Boar2)
tail(Boar2)
str(Boar2)
Boar2$AgeClass<-factor(Boar2$AgeClass)
boxplot(LengthCT~AgeClass, data=Boar2)
boxplot(LengthCT~AgeClass, data=Boar2, subset= SEX==1)
boxplot(LengthCT~AgeClass, data=Boar2, subset= SEX==2)
#
#                               Analyse DATA
#_______________________________________________________________________________
out3<-glm(LengthCT~SEX+AgeClass, data=Boar2)
summary(out3)
#
#                               Graph DATA
#_______________________________________________________________________________
BMale<-Boar2[Boar2$SEX=="1", ]
BMale1<-BMale[BMale$AgeClass=="1", ]
BMale2<-BMale[BMale$AgeClass=="2", ]
BMale3<-BMale[BMale$AgeClass=="3", ]
BMale4<-BMale[BMale$AgeClass=="4", ]
BFemale<-Boar2[Boar2$SEX=="2", ]
BFemale1<-BFemale[BFemale$AgeClass=="1", ]
BFemale2<-BFemale[BFemale$AgeClass=="2", ]
BFemale3<-BFemale[BFemale$AgeClass=="3", ]
BFemale4<-BFemale[BFemale$AgeClass=="4", ]
means_BMale<-tapply(X=BMale$LengthCT, INDEX=BMale$AgeClass, FUN=mean)
means_BFemale<-tapply(X=BFemale$LengthCT, INDEX=BFemale$AgeClass, FUN=mean)

#create function to compute SE
SE<-function(x) {
n<-length(x)
sd_x<-sd(x)
return(sd_x/sqrt(n))
}

SE_BMale<-tapply(X=BMale$LengthCT, INDEX=BMale$AgeClass, FUN=SE)
SE_BFemale<-tapply(X=BFemale$LengthCT, INDEX=BFemale$AgeClass, FUN=SE)

#calculate intervals
BMale_up<-means_BMale-1.96*SE_BMale
BMale_down<-means_BMale+1.96*SE_BMale
BFemale_up<-means_BFemale-1.96*SE_BFemale
BFemale_down<-means_BFemale+1.96*SE_BFemale

BMale_up2<-c((quantile(BMale1$LengthCT, probs =.975)),
             (quantile(BMale2$LengthCT, probs =.975)),
             (quantile(BMale3$LengthCT, probs =.975)),
             (quantile(BMale4$LengthCT, probs =.975))) 
BMale_down2<-c((quantile(BMale1$LengthCT, probs =.025)),
               (quantile(BMale2$LengthCT, probs =.025)),
               (quantile(BMale3$LengthCT, probs =.025)),
               (quantile(BMale4$LengthCT, probs =.025))) 
BFemale_up2<-c((quantile(BFemale1$LengthCT, probs =.975)),
               (quantile(BFemale2$LengthCT, probs =.975)),
               (quantile(BFemale3$LengthCT, probs =.975)),
               (quantile(BFemale4$LengthCT, probs =.975))) 
BFemale_down2<-c((quantile(BFemale1$LengthCT, probs =.025)),
                 (quantile(BFemale2$LengthCT, probs =.025)),
                 (quantile(BFemale3$LengthCT, probs =.025)),
                 (quantile(BFemale4$LengthCT, probs =.025))) 



