#### !!!!Run    Create_value_Plein_R.R before running this program !!!!
#
#                               Graph Moose
#_______________________________________________________________________________
matplot(year,Moose$density,
     type="p",
     pch=17,
     col="black",
     tcl = 0.3,
     ps=12,
     xlab="Year",
     ylim=c(0,300),
     ylab="Moose/ha",
     xlim=c(1940,2000),
     frame.plot = FALSE)
par("new"=TRUE)
matplot(year,pred2,
     type="l",
     lty=1,
     col="black",
     tcl = 0.3,
     ps=12,
     xlab="Year",
     ylim=c(0,300),
     ylab="Moose/ha",
     xlim=c(1940,2000),
     frame.plot = FALSE)
par("new"=TRUE)
matplot(year,down2,
     type="l",
     lty=2,
     col="grey70",
     tcl = 0.3,
     ps=12,
     xlab="Year",
     ylim=c(0,300),
     ylab="Moose/ha",
     xlim=c(1940,2000),
     frame.plot = FALSE)
par("new"=TRUE)
matplot(year,up2,
     type="l",
     lty=2,
     col="grey70",
     tcl = 0.3,
     ps=12,
     xlab="Year",
     ylim=c(0,300),
     ylab="Moose/ha",
     xlim=c(1940,2000),
     frame.plot = FALSE)
#
#                               Graph Boar
#_______________________________________________________________________________
#create the basic plot without x axis tick marks
plot(y=0, x=0,  tcl = 0.3, type="n",
     ylab="Lenght of CT",
     ylim=c(0,150), xlim=c(0.5,4.5),
     xlab="Age Class by Sex", xaxt="n",frame.plot = FALSE)#

#add x axis separately
axis(side=1, at=c(1,2,3,4), labels=c("1", "2", "3", "4"))

#add points for group male
points(y=means_BMale, x=c(0.9,1.9,2.9,3.9), pch=17, col="grey40", bg="grey40")
#add points for group Female
points(y=means_BFemale, x=c(1.1,2.1,3.1,4.1), pch=15, col="black",bg="black")

#add error bars for each group
arrows(x0=c(0.9,1.9,2.9, 3.9), y0=BMale_up, x1=c(0.9,1.9,2.9,3.9), y1=BMale_down, length=0.05, angle=90, code=3, col="grey40")
arrows(x0=c(1.1,2.1,3.1, 4.1), y0=BFemale_up, x1=c(1.1,2.1,3.1,4.1), y1=BFemale_down, length=0.05, angle=90, code=3, col="black")

#add legend
legend(x="topleft" ,bty="n",legend=c("Male", "Female"), pch=c(17, 15), col=c("grey40", "black"), title="SEX",cex=1) #to remove box around legend use bty
#
#                               Graph Boar 2
#_______________________________________________________________________________
#create the basic plot without x axis tick marks
plot(y=0, x=0,  tcl = 0.3, type="n",
     ylab="Lenght of CT",
     ylim=c(0,150), xlim=c(0.5,4.5),
     xlab="Age Class by Sex", xaxt="n",frame.plot = FALSE)

#add x axis separately
axis(side=1, at=c(1,2,3,4), labels=c("1", "2", "3", "4"))

#add points for group male
rect(0.8,BMale_down[1],0.9,BMale_up[1],col="grey40")
rect(1.8,BMale_down[2],1.9,BMale_up[2],col="grey40")
rect(2.8,BMale_down[3],2.9,BMale_up[3],col="grey40")
rect(3.8,BMale_down[4],3.9,BMale_up[4],col="grey40")
#add points for group Female
rect(1.1,BFemale_down[1],1.2,BFemale_up[1],col="black")
rect(2.1,BFemale_down[2],2.2,BFemale_up[2],col="black")
rect(3.1,BFemale_down[3],3.2,BFemale_up[3],col="black")
rect(4.1,BFemale_down[4],4.2,BFemale_up[4],col="black")

#add error bars for each group
arrows(x0=c(0.85,1.85,2.85, 3.85), y0=BMale_up2, x1=c(0.85,1.85,2.85, 3.85), y1=BMale_down2, length=0.05, angle=90, code=3, col="grey40")
arrows(x0=c(1.15,2.15,3.15, 4.15), y0=BFemale_up2, x1=c(1.15,2.15,3.15, 4.151), y1=BFemale_down2, length=0.05, angle=90, code=3, col="black")
#add legend
legend(x="topleft" ,bty="n",legend=c("Male", "Female"), pch=c(15, 15), col=c("grey40", "black"), title="SEX",cex=1)
#
#                               function layout
#_______________________________________________________________________________
layout(mat=matrix(1:2, nrow=1, ncol=2))
par(pin=c(2.25, 2.25),mar=c(3,3,1,1), mgp=c(2,1,0))
##########################Graph 1 orignaux#######################################
matplot(year,Moose$density,
     type="p",
     pch=17,
     col="black",
     tcl = 0.3,
     ps=12,
     xlab="Year",
     ylim=c(0,300),
     ylab="Moose Density",
     xlim=c(1940,2000),
     frame.plot = FALSE)
par("new"=TRUE)
matplot(year,pred2,
     type="l",
     lty=1,
     col="black",
     tcl = 0.3,
     ps=12,
     xlab="Year",
     ylim=c(0,300),
     ylab="Moose Density",
     xlim=c(1940,2000),
     frame.plot = FALSE)
par("new"=TRUE)
matplot(year,down2,
     type="l",
     lty=2,
     col="grey70",
     tcl = 0.3,
     ps=12,
     xlab="Year",
     ylim=c(0,300),
     ylab="Moose Density",
     xlim=c(1940,2000),
     frame.plot = FALSE)
par("new"=TRUE)
matplot(year,up2,
     type="l",
     lty=2,
     col="grey70",
     tcl = 0.3,
     ps=12,
     xlab="Year",
     ylim=c(0,300),
     ylab="Moose Density",
     xlim=c(1940,2000),
     frame.plot = FALSE)
##########################Graph 2 livre#######################################
matplot(CL$Cover,CL$CL2005,
     type="b",
     lty=4,
     pch=16,
     col="black",
     bg="black",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Lateral cover(%)",
     xlim=c(0,100),
     ylab="Predicted number of fecal pellets",
     ylim=c(0,25),
     frame.plot = FALSE)
legend(x="topleft",legend="2005A",bty="n",cex=1)
#
#                             Sortir Fichier Graphique
#_______________________________________________________________________________
##############sortie en fichier TIFF############################################
tiff(filename = "Figure.tif", width = 6.5, height = 4.5,
     units = "in", pointsize = 12,
     compression = "none",
     bg = "white", res = 150,
     restoreConsole = TRUE)
layout(mat=matrix(1:4, nrow=2, ncol=2))
par(pin=c(2.25, 2.25),mar=c(3,3,1,1), mgp=c(2,1,0))
##########################Couverl Latral#######################################
matplot(CL$Cover,CL$CL2005,
     type="b",
     lty=4,
     pch=16,
     col="black",
     bg="black",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Lateral cover(%)",
     xlim=c(0,100),
     ylab="Predicted number of fecal pellets",
     ylim=c(0,25),
     frame.plot = FALSE)
legend(x="topleft",legend="2005A",bty="n",cex=1)
##########################Couverl Latral#######################################
matplot(CL$Cover,CL$CL2006,
     type="b",
     lty=4,
     pch=16,
     col="black",
     bg="black",
     tcl = 0.3,
     ps=12,
     xlab="Lateral cover(%)",
     xlim=c(0,100),
     ylab="Predicted number of fecal pellets",
     ylim=c(0,25),
     frame.plot = FALSE)
legend(x="topleft",legend="2006A",bty="n",cex=1)
##########################Couverl Vetical#######################################
matplot(CL$Cover,CL$CV2005,
     type="b",
     lty=4,
     pch=16,
     col="black",
     bg="black",
     tcl = 0.3,
     ps=12,
     cex=1,
     xlab="Vertical cover(%)",
     xlim=c(0,100),
     ylab="Predicted number of fecal pellets",
     ylim=c(0,25),
     frame.plot = FALSE)
legend(x="topleft",legend="2005B",bty="n",cex=1)
##########################Couverl Vetical#######################################
matplot(CL$Cover,CL$CV2006,
     type="b",
     lty=4,
     pch=16,
     col="black",
     bg="black",
     tcl = 0.3,
     ps=12,
     xlab="Vertical cover(%)",
     xlim=c(0,100),
     ylab="Predicted number of fecal pellets",
     ylim=c(0,25),
     frame.plot = FALSE)
legend(x="topleft",legend="2006B",bty="n",cex=1)
dev.off()  ####################Fin sortie fichier TIFF|################
